<?php

header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
header($_SERVER['SERVER_PROTOCOL']." 403 Forbidden", true, 403);

$request_uri = $_SERVER['REQUEST_URI'];

if (file_exists(dirname(dirname(__DIR__)).'/ENABLE_403_LOG')) {

    $redirect_url = preg_replace('/\?.*/', '', $request_uri);

    if (isset($_SERVER['HTTP_CF_CONNECTING_IP'])) {

        $remote_addr = $_SERVER['HTTP_CF_CONNECTING_IP'];

    } else {

        $remote_addr = $_SERVER['REMOTE_ADDR'];

    }

    $log_entry = json_encode(array(
        'time' => time(),
        'remote_addr' => $remote_addr,
        'redirect_url' => $redirect_url
        // 'query_string' => $_GET,
        // 'post' => $_POST
        // 'server' => $_SERVER
    )).PHP_EOL;
    file_put_contents(dirname(dirname(__DIR__)).'/403.log', $log_entry, FILE_APPEND | LOCK_EX);

}

?><!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>403 Forbidden</title>
<style>
body {
    font-family: 'Courier New', Courier, monospace;
    position: absolute;
    box-sizing: border-box;
    width: 50%;
    left: 25%;
    top: 50%;
    transform: translateY(-50%);
    border: 1px dashed black;
    padding: 1rem 1rem 0 1rem;
}
h1, h2, h3, h4, h5, h6 {
    font-weight: normal;
}
hr {
    border-top: 1px dashed black;
}
</style>
</head>
<body>
<h1>Forbidden</h1>
<p>You don't have permission to access <?= $request_uri; ?> on this server.</p>
<hr>
<h2>Why am I seeing this page?</h2>
<p>This address has been blocked by <a href="https://wordpress.org/plugins/deny-all-firewall/" title="Deny All Firewall">Deny All Firewall</a> plugin for Wordpress by <a href="https://webd.uk" title="webd.uk">webd.uk</a>.</i></p>
<h2>If you own this site ...</h2><?php

    if (substr($request_uri, 0, strlen('/wp-login.php')) === '/wp-login.php') {

?>
<p>If this is your website and you are trying to login to your dashboard:</p>
<ul>
<li>You need to login using your secret login address</li>
<li>If that doesn't work <a href="https://wordpress.org/support/plugin/deny-all-firewall/" title="Support Forum">contact us via the plugin support forum</a></li>
</ul>
<?php

    } elseif (substr($request_uri, 0, strlen('/wp-admin/')) === '/wp-admin/') {

?>
<p>If this is your website and you are trying to use your dashboard:</p>
<ul>
<li>You need to <a href="/wp-admin/">login first</a></li>
<li>If that doesn't work <a href="https://wordpress.org/support/plugin/deny-all-firewall/" title="Support Forum">contact us via the plugin support forum</a></li>
</ul>
<?php


    } else {

?>
<p>If this is your website and this page should not be blocked you can try the following to unblock this page:</p>
<ul>
<li>Sign into your Wordpress dashboard</li>
<li>Go to "Settings - Deny All Firewall"</li>
<li>Tick the box "Enable Log" and click "Save Changes"</li>
<li>Visit this blocked page again and return to "Dashboard - Settings - Deny All Firewall"</li>
<li>Find the blocked page in the log file, click "Unblock", untick "Enable logging of blocked requests" and then "Save Changes"</li>
<li>If that doesn't work, select "Firewall Disabled", click "Save Changes" and <a href="https://wordpress.org/support/plugin/deny-all-firewall/" title="Support Forum">contact us on the support forum</a></li>
</ul>
<?php

    }

?>

</body></html><?php

die();

?>
